2
votes
1answer
163 views

How to install i386 package under amd64 ubuntu/debian

All existing answers I found are for the pre-multiarch era (chroot) https://help.ubuntu.com/community/MultiArch says it is OK to install i386 package on amd64 under the multiarch environment, but ...
0
votes
1answer
39 views

Why I can't see Ubuntu restricted packages

I don't know what else restricted packages are there, but I'm looking for the sl-modem-daemon package, which according to ...
2
votes
2answers
511 views

Installing phpmyadmin package ERROR 1045 (28000)

I need to create a new mySQL db for a local site, I thought I'd do that with phpMyAdmin so I installed that package like so: sudo apt-get install phpmyadmin During this process I get a couple of ...
0
votes
1answer
54 views

Listing packages in a repositiory?

I'm working on Ubuntu 12.04 Server. I want to install OpenStack, so I enabled the Cloud Archive repo: sudo add-apt-repository cloud-archive:havana After the subsequent update and upgrade, I noticed ...
0
votes
0answers
105 views

Cannot build Coreboot package from EDK 2 Source Code

I have been working on building the coreboot Package from EDK 2 source code in Ubuntu 12.04. It has been failing repeatedly after I have followed the provided guides on building the Package.Well ...
2
votes
0answers
80 views

So I wrote a program… Now how do I package it and automate the install?

I wrote a very simple Linux program which is essentially made up of: a bash script, four python scripts and a text file. I want to package it all together so that when people install it, it ...
0
votes
0answers
90 views

Installing d2to1 on Ubuntu?

I'm trying to install a specific package group (the stsci packages) on Python on my Ubuntu 12.04 32-bit machine. I'm kind of new to this whole deal, so I'm really confused. I followed the instructions ...
1
vote
2answers
93 views

Use latest version of package in bash script

The installed package libnet-amazon-ec2-perl uses v0.14.1. How do I update this package to use the latest stable release v0.22.1? When I try sudo apt-get --only-upgrade install ...
0
votes
0answers
23 views

Maintain/Build Debian packages from Ubuntu

It looks like it is possible to cross-build Debian packages from Ubuntu, but all the documents I found from the Internet are not very clear. I'm wondering if someone can give me some clear and ...
1
vote
1answer
86 views

Download interrupted on Terminal - cannot reinstall

I was downloading the icedtea-7-plugin package for Ubuntu on the Terminal. I used the sudo apt-get install icedtea-7-plugin just like any other person would and I turned back to what I was doing, for ...
4
votes
2answers
233 views

Why Ubuntu has a so large number of available packages if compared to other Linux distros? [closed]

According to the Wikipedia comparison tables, Ubuntu has ~47K available packages, while other major distros, under this particular aspect, have a smaller number. I.E. openSUSE has ~40K, Debian ~37K, ...
1
vote
1answer
60 views

The Ubuntu package development environment

I've read a lot (e.g., http://developer.ubuntu.com/packaging/html/, http://developer.ubuntu.com/resources/) but still can't figure out the following questions. Is there cutting-edge Ubuntu package ...
2
votes
1answer
410 views

How to retrieve a list of installed packages on (K)ubuntu sorted by category

I'm using Kubuntu. I'd like to get a list of installed packages on my system, and in particular to have them sorted by category, i.e. as seen in Muon Package Manager, in the category filter tab. For a ...
1
vote
0answers
371 views

How can I skip the root password prompt when installing mysql-server?

I am writing a bash script that involves installing the mysql-server package on Ubuntu. The package interactively asks the user for the root MySQL password desired, however this is not good for me as ...
0
votes
0answers
75 views

having dependency issues while installing a package in Debian GNU/Linux 6.0

I am trying to install one package but it depends on some other packages. While installing it aborts and tells me the following: Depends: python (>= 2.6.6-7~) but 2.6.6-3+squeeze7 is to be ...
0
votes
2answers
892 views

Issue with plesk installation in Ubuntu - apt packages error

OS: Ubuntu 12.04 Plesk 11 Hi all, I have a problem during installation of plesk when plesk wants to install more packages from apt. 385 packages need to be installed. 49 packages need to be ...
0
votes
1answer
43 views

Is there a reference for understanding and fixing broken dependencies?

I've seen the following line once or twice while installing packages on Ubuntu: Depends: <package> but it is not going to be installed I've seen people suggest various commands to run to fix ...
0
votes
3answers
1k views

Does Linux Mint provide sames packages as Ubuntu?

i have been using ubuntu 12.04 for quite sometime and was happy until i decided to upgrade to 12.10 which IMO does not match even upto 12.04.. I like gnome and its intuitiveness, so was looking for ...
6
votes
2answers
5k views

Trouble getting latest version of Git

I am using Ubuntu 10.04 LTS. I'm looking at using git as source control for personal projects and Github as a remote repository. I was having trouble pushing a commit to my remote github repo getting ...
1
vote
0answers
1k views

How to fix broken dependencies when installing old/archived packages

I am trying to install opencv version 2.1. My codebase requires opencv 2.1, so upgrading is not an option. Specifically, I am trying to install the packages: libhighgui2.1 libcvaux2.1 libcv-dev ...
0
votes
3answers
4k views

apt-get cannot find any packages

I get this result on my newly installed ubuntu 9.04 netbook remix. I haven't tampered with any apt files at all. It doesnt work for any other packages. ira@ira-windu100:/etc/apt$ sudo apt-get install ...
0
votes
1answer
2k views

Installing a Java Jar file on Ubuntu 11.10

Is there a way to package a jar file (for example, a .deb) and install it on Ubuntu 11.10. Basically I want to automate the installation of Jar file when I create a Ubuntu VM (using KVM). Thanks.
1
vote
1answer
358 views

E: Couldn't find package logkeys

I am trying to install logkeys but I am having some trouble. I went to system and checked everything in third party but still no luck. Can someone please help and tell me how to get this package so ...
4
votes
3answers
4k views

How can I download ubuntu packages in windows to install them on an offline ubuntu machine?

How can I download ubuntu packages from online repos thhrough windows to install them later on an offline ubuntu machine? this is related to this question: Ubuntu repository download iso if there ...
2
votes
1answer
237 views

Install Firefox 5 on Ubuntu 11.10

I'm running Ubuntu 11.10, and, for web development, need to install Firefox 5 specifically. I know I can do it by hand from the Mozilla download. But I'd like a Ubuntu package. Is one available? ...
3
votes
1answer
173 views

How do I control where my Debian package files are installed?

I'm trying to create a debian packge of my PHP application and to upload to my PPA. I've been reading through the documentation but I am missing one important point: How do I control in which ...
2
votes
1answer
207 views

How to do compile make make install as permanent install so that it does not give this error?

I was building from source to test one bug i was facing, and I did apt-get remove gstreamer once. Since then when I do gst-launch it throws following: $ gst-launch --version ...
2
votes
0answers
62 views

Adding a .deb file to my local mirror (Ubuntu)

I have a local Ubuntu repo mirror and a debian package. Since the package is restricted to use in my local setup, I just want to add it to my mirror rather than as a PPA on launchpad. Therefore, I ...
0
votes
1answer
353 views

How to reinstall all .deb packages?

I have installed a number of packages with much pain. (I've a slow internet connection) Now I want to reinstall Ubuntu (I use 10.10), but I don't want to download all the packages again. I have ...
0
votes
2answers
657 views

Ubuntu Package (.deb) Recommendations Installation Folder and Binary Name

I'm building a .deb file for an executable jar I've built for myself. I got a .deb built and installed my program to /usr/bin. As I have a jar I now had an executable file called ...
1
vote
0answers
173 views

How to upload a patched package to a Launchpad PPA

I have a patch for gnome-terminal and already managed to create a PPA on launchpad. I also downloaded the source using apt-get source gnome-terminal. Which steps do I have to do to create a .changes ...
1
vote
4answers
136 views

How to list all commands in a package?

I just downloaded the w3c-markup-validator package from the universe repositories, but I can't seem to figure out how to run it. How can I list the new commands available?
0
votes
1answer
399 views

How to abort a active download of a package in Ubuntu?

I was downloading a package from a terminal. Actually i want to install some package 'A'. But,by mistake installing some other package 'B'. So, i wanted to stop the download of that package 'B' and ...
0
votes
1answer
28 views

Updating to a new version of an app replacing older one in Ubuntu

Ubuntu's update system maintains new minor versions of the current version branch but it doesn't update it to a new version branches. For example in Ubuntu 10.4 I have Evolution 2.28.1. That was ...
1
vote
1answer
272 views

How to create my own Ubuntu package building/hosting like Launchpad PPA?

Launchpad is great though, but I'd like to know whether I can do it myself, because the network connection to Launchpad.net is too slow from China. (while this is not the only reason)
1
vote
1answer
291 views

Change the Chromium update frequency on Ubuntu to Stable build PPA

So, I have been using Chrome as my primary browser for a while now. As far as I can remember I had set the PPA to the stable build, but somehow recently, it seems to have changed to the daily build ...
2
votes
2answers
1k views

how to fix a broken package in ubuntu 10.04 lts

Preparing to replace mysql-server-5.1 5.1.41-3ubuntu12.1 (using .../mysql-server-5.1_5.1.41-3ubuntu12.3_amd64.deb) ... It hangs until i reboot the thing. This is not a normal error. I'm ...
3
votes
2answers
4k views

Apt in ubuntu: Failed to fetch url: 404 Not Found

Trying to install gvim: soid@ubuntu:~$ sudo aptitude install vim-gnome Reading package lists... Done Building dependency tree Reading state information... Done Reading extended state information ...
12
votes
3answers
27k views

What are “build-essential” & “build-dep”?

I am researching how to install Ruby 1.9.1 in Xubuntu 10.04 and I came across the command build-essential and build-dep multiple times. Sometimes it is followed by packages and sometimes it is both ...
9
votes
2answers
2k views

Command to find the source package of a binary?

I know there's a which command, that echoes the full name of a binary (e.g. which sh). However, I'm fairly sure there's a command that echoes the package that provides a particular binary. Is there ...
1
vote
1answer
1k views

sudo apt-get install apache2 does not fetch apache

Trying out sudo apt-get install apache2 This is what I get root@x27:/home/test# sudo apt-get install apache2 Reading package lists... Done Building dependency tree Reading state information... ...
0
votes
1answer
216 views

Can't install back a purged package in Ubuntu

Hello all i've just migrated my desktop machine to Ubuntu 10.04. My problem is that i've purged a package and can't install this package back. Because I can't see it in the aptitude or apt-get's ...
2
votes
2answers
228 views

Ubuntu list of packages installed

I am moving to a new laptop with Ubuntu Lucid from an old laptop that has Ubuntu Karmic. I want to look at the list of all the packages and selectively install them all on the new laptop. What is ...
1
vote
1answer
3k views

How to install Lapack and atlas on ubuntu intrepid?

I have installed Ubuntu 8.10. I am using python 2.6.4. I want to install the following package along with its dependencies. scipy 0.7.1 I am getting some error related to ATLAS. How do I install ...
1
vote
1answer
48 views

New install indicator while install updating on Ubuntu

In the update manager of ubuntu I see several libraries marked with New Install. I don't know what is the benefit I can get from that New Install? What if I just want a normal upgrade, not a New ...
4
votes
2answers
1k views

SQLite with readline support on Ubuntu

I had the sqlite3 package installed on Ubuntu and there's no support for readline. That means there's no command history and those other nifty features readline gives you. Is this a configuration or ...
2
votes
1answer
2k views

Automatically install a desktop launcher for an Ubuntu .deb package

I am currently packaging an application in a Ubuntu .deb file. The package will not be distributed publicly. Currently, I package a .desktop file which is installed to /usr/share/applications. After ...
1
vote
2answers
3k views

How can I install Perl's DBI module on Ubuntu?

While I am trying to install perl modules-DBI i am getting this kind of error Permission denied at /usr/local/share/perl/5.8.8/CPAN/HandleConfig.pm line 554
0
votes
3answers
33k views

Fix Ubuntu Error: E: Couldn't find package “package name”

My computer couldn't find the package install for a flash plugin for firefox. I fixed the problem by showing packages from all repositories and then downloaded the plugin.